     function drawVisualization(val1,val2,val3,val4,val5,val6,val7,val8,val9,val10,val11,val12,title) {
        // Create and populate the data table.


        var data = new google.visualization.DataTable();
        var raw_data = [['Beach',      val1,  val2,  val3],
                        ['Shoreface',  val4,  val5,  val6],
                        ['Dune',       val7,  val8,  val9],
                        ['Other',     val10, val11, val12]];
        
        var years = ['1965-1990', '1991-2001', '2001-2010'];
              
        data.addColumn('string', 'Year');
        for (var i = 0; i  < raw_data.length; ++i) {
          data.addColumn('number', raw_data[i][0]);    
        }
        
        data.addRows(years.length);
      
        for (var j = 0; j < years.length; ++j) {    
          data.setValue(j, 0, years[j].toString());    
        }
        for (var i = 0; i  < raw_data.length; ++i) {
          for (var j = 1; j  < raw_data[i].length; ++j) {
            data.setValue(j-1, i+1, raw_data[i][j]);    
          }
        }
        		

        // Create and draw the visualization.
        new google.visualization.ColumnChart(document.getElementById('visualization')).
            draw(data,
                 {title:title, 
                  width:450, height:350,
				  colors:['#FFAF63','#0A84C6','#7F7F00','#FF0000'],
                  hAxis: {title: "Year"},
				  vAxis: {title: "Nourishment volume [m^3]",
						  format:"#.##E+0"}}
            );
      }
      

   //   google.setOnLoadCallback(drawVisualization);